petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDLLibraryPrepend

Add another dynamic library to search for symbols to the beginning of the search path.

### Synopsis

    PetscErrorCode  PetscDLLibraryPrepend(MPI_Comm comm,PetscDLLibrary *outlist,const char path[])

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| path | - name of the library

### Output Parameter

outlist -list of libraries

Notes: If library is already in path will remove old reference.

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages